import axios from '../utils/request'
// 获取列表
export const studentList = (data) => {
  return axios({
    method: 'post',
    url: '/cms/student/list',
    data
  })
}
// 排序
export const studentSort = (id, sort) => {
  return axios({
    url: `/cms/student/sort/${id}/${sort}`
  })
}
// 是否显示
export const studentDisplay = (id, display) => {
  return axios({
    url: `/cms/student/display/${id}/${display}`
  })
}
// 点击删除
export const studentRemove = (id) => {
  return axios({
    url: `/cms/student/remove/${id}`
  })
}
// 新增、编辑
export const studentSave = (data) => {
  return axios({
    method: 'post',
    url: '/cms/student/save',
    data
  })
}
// 通过id获取详情
export const studentDetail = (id) => {
  return axios({
    url: `/cms/student/detail/${id}`
  })
}
